ACL
All operations require authentication.
List ACLsProduction
Returns the ACLs of the file storage.
Path parameters
File storage ID
Project ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the access rule
Current observed state of the access rule from the infrastructure
Ongoing asynchronous tasks related to the access rule
Unique identifier of the access rule
Access rule readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the access rule
Last update date of the access rule
Example uses fileStorageId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ share/ {fileStorageId}/ acl \
-H "authorization: Bearer $OVH_TOKEN"1[2 {3 "checksum": "string",4 "createdAt": "2024-01-01T12:00:00Z",5 "currentState": {6 "accessLevel": "READ_ONLY",7 "accessTo": "string",8 "createdAt": "2024-01-01T12:00:00Z",9 "state": "ACTIVE"10 },11 "currentTasks": [12 {13 "errors": [14 {15 "message": "string"16 }17 ],18 "id": "00000000-0000-0000-0000-000000000000",19 "link": "string",20 "status": "ERROR",21 "type": "string"22 }23 ],24 "id": "00000000-0000-0000-0000-000000000000",25 "resourceStatus": "CREATING",26 "targetSpec": {27 "accessLevel": "READ_ONLY",28 "accessTo": "string"29 },30 "updatedAt": "2024-01-01T12:00:00Z"31 }32]
Get an ACLProduction
Returns the ACL and its current state.
Path parameters
Acl ID
File storage ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the access rule
Current observed state of the access rule from the infrastructure
Ongoing asynchronous tasks related to the access rule
Unique identifier of the access rule
Access rule readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the access rule
Last update date of the access rule
Example uses aclId = 00000000-0000-0000-0000-000000000000, fileStorageId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ share/ {fileStorageId}/ acl/ {aclId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "accessLevel": "READ_ONLY",6 "accessTo": "string",7 "createdAt": "2024-01-01T12:00:00Z",8 "state": "ACTIVE"9 },10 "currentTasks": [11 {12 "errors": [13 {14 "message": "string"15 }16 ],17 "id": "00000000-0000-0000-0000-000000000000",18 "link": "string",19 "status": "ERROR",20 "type": "string"21 }22 ],23 "id": "00000000-0000-0000-0000-000000000000",24 "resourceStatus": "CREATING",25 "targetSpec": {26 "accessLevel": "READ_ONLY",27 "accessTo": "string"28 },29 "updatedAt": "2024-01-01T12:00:00Z"30}
Create an ACLProduction
Grants read-write or read-only access to the file storage to an IP address or CIDR block.
Path parameters
File storage ID
Project ID
Request body (required)
Desired target specification for the access rule
Response
Computed hash representing the current target specification value
Creation date of the access rule
Current observed state of the access rule from the infrastructure
Ongoing asynchronous tasks related to the access rule
Unique identifier of the access rule
Access rule readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the access rule
Last update date of the access rule
Example uses fileStorageId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ share/ {fileStorageId}/ acl \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "accessLevel": "READ_ONLY",6 "accessTo": "string",7 "createdAt": "2024-01-01T12:00:00Z",8 "state": "ACTIVE"9 },10 "currentTasks": [11 {12 "errors": [13 {14 "message": "string"15 }16 ],17 "id": "00000000-0000-0000-0000-000000000000",18 "link": "string",19 "status": "ERROR",20 "type": "string"21 }22 ],23 "id": "00000000-0000-0000-0000-000000000000",24 "resourceStatus": "CREATING",25 "targetSpec": {26 "accessLevel": "READ_ONLY",27 "accessTo": "string"28 },29 "updatedAt": "2024-01-01T12:00:00Z"30}
Delete an ACLProduction
Deletes the ACL and revokes the access it granted.
Path parameters
Acl ID
File storage ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the access rule
Current observed state of the access rule from the infrastructure
Ongoing asynchronous tasks related to the access rule
Unique identifier of the access rule
Access rule readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the access rule
Last update date of the access rule
Example uses aclId = 00000000-0000-0000-0000-000000000000, fileStorageId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ share/ {fileStorageId}/ acl/ {aclId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "accessLevel": "READ_ONLY",6 "accessTo": "string",7 "createdAt": "2024-01-01T12:00:00Z",8 "state": "ACTIVE"9 },10 "currentTasks": [11 {12 "errors": [13 {14 "message": "string"15 }16 ],17 "id": "00000000-0000-0000-0000-000000000000",18 "link": "string",19 "status": "ERROR",20 "type": "string"21 }22 ],23 "id": "00000000-0000-0000-0000-000000000000",24 "resourceStatus": "CREATING",25 "targetSpec": {26 "accessLevel": "READ_ONLY",27 "accessTo": "string"28 },29 "updatedAt": "2024-01-01T12:00:00Z"30}